<?php
/*
* Page permettant d'accéder à la solution la-vie-scolaire.fr
* ------------------------------------------------------------
* CLEON: 28/04/2013
* ------------------------------------------------------------
* un fichier de configuration omt.ini doit être définie et doit contenir 2 lignes
* OMT_HOST=etablissementsso.la-vie-scolaire.fr
* OMT_CODE=ENTENVOLE
*
* etablissementsso: Doit être remplacé par le nom du serveur qui vous a été communiqué par l'éditeur
* ENTENVOLE: Est le code générique permettant de définir la solution Envole,
*            il est possible que vous deviez le changer afin de l'adapter à votre académie
*/

session_name("omt");
session_start();

# Quelques includes
include_once('CAS/eoleCAS.php');
include_once('configCAS/cas.inc.php');

# Petite fonction d'abandon
function abondon($message)
{
        die("$message");
}

# Est-ce que le fichier de configuration existe ?
if (!file_exists("omt.ini"))
{
        abondon("Il manque la configuration de votre accès OMT<br>Veuillez contacter votre administrateur");
        exit;
}

# Vérification des paramètres
$params=parse_ini_file("omt.ini",true );
!isset($params["OMT_HOST"]) && abondon("Le <b>serveur</b> vie scolaire n'est pas renseigné");
!isset($params["OMT_CODE"]) && abondon("Le <b>code</b> vie scolaire n'est pas renseigné");

# Définition des variables
$service="https://".$params["OMT_HOST"]."/vsn.main";
$url="$service/autoLoginTicketSession/getCasTicket/?ident=".$params["OMT_CODE"]."&hostCAS=https://".__CAS_SERVER.":".__CAS_PORT."/".__CAS_FOLDER;

# On demande a être proxyCas
EolephpCAS::proxy(CAS_VERSION_2_0,__CAS_SERVER,__CAS_PORT,__CAS_FOLDER, false);
EolephpCAS::setNoCasServerValidation();
EolephpCAS::forceAuthentication();

# Récupération du PT
$PT = EolephpCAS::retrievePT($service."/?ident=".$params["OMT_CODE"], $err_code, $output);
# Url de redirection
$redirect=$url."&casTicket=".$PT;

# Si debug dans la requete, on affiche un lien a cliquer
if (isset($_GET["debug"]))
{
        echo "<a href='$redirect'>DEBUG ACCES OMT: $redirect</a>";
}
# Sinon, on fait une redirection
else
{
        header("Location: $redirect");
}

?>
