# -*- coding: utf-8 -*-

import ecs_profil


def calc_info(user_infos):
    """
        calcule le profil d'un utilisateur
    """
    PROFESSEUR=["professeurs"]
    ADMIN=["admin"]
    ELEVE=["eleves"]
    DIRECTION=["direction"]
    VIESCO=["assisteduc"]
    DEFAULT=["invite"]

    # Ref: #5724 : Prise en compte du profil 'Chef d'établissement'
    if isDir(user_infos):
        return DIRECTION

    # Ref: #5724 : Prise en compte du profil 'Assistant d Education'
    if isAED(user_infos):
        return VIESCO

    if isAdmin(user_infos):
        return ADMIN
    
    # Ref: #5724 : Seul les Enseignants ont le profil PROFESSEUR, 
    # les administratifs et le personnel académique auront le profil 'DEFAULT'
    if isEnseignant(user_infos):
        return PROFESSEUR
    
    if isEleve(user_infos):
        return ELEVE
        
    if isParent(user_infos):
        return DEFAULT

    return DEFAULT
    
    
